Bug 179658 - wish: be able to capture the screen in kolourpaint
Summary: wish: be able to capture the screen in kolourpaint
Status: RESOLVED FIXED
Alias: None
Product: kolourpaint
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: kolourpaint-support
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-04 23:22 UTC by Diederik van der Boor
Modified: 2011-04-04 10:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diederik van der Boor 2009-01-04 23:22:29 UTC
Version:           4.1.85 (KDE 4.1.85 (KDE 4.2 Beta2)) "release 3.1" (using 4.1.85 (KDE 4.1.85 (KDE 4.2 Beta2)) "release 3.1", KDE:KDE4:UNSTABLE:Desktop / openSUSE_11.1)
Compiler:          gcc
OS:                Linux (i686) release 2.6.27.7-9-pae

I'd like to have the ability to make a screencapture directly from kolourpaint. Gimp has this feature (found in the same menu to import an image from the scanner), and I find this quite useful.
Comment 1 Angel Blue01 2009-03-11 19:07:49 UTC
Even if all it did was call KSnapshot it would be nice to have this feature there.
Comment 2 Martin Koller 2011-03-26 22:23:57 UTC
Git commit 6108bd8343c14f58e9d6c9df500066d6b44f4f6a by Martin Koller.
Committed on 25/03/2011 at 23:15.
Pushed by mkoller into branch 'master'.

Add "screenshot" action to file menu

FEATURE: 179658
GUI:

M  +0    -2    CMakeLists.txt     
M  +2    -5    kolourpaintui.rc     
M  +0    -2    mainWindow/kpMainWindow.cpp     
M  +2    -15   mainWindow/kpMainWindow.h     
M  +1    -1    mainWindow/kpMainWindowPrivate.h     
M  +38   -11   mainWindow/kpMainWindow_File.cpp     
D  +0    -223  mainWindow/kpMainWindow_Help.cpp     

http://commits.kde.org/kolourpaint/6108bd8343c14f58e9d6c9df500066d6b44f4f6a
Comment 3 Kai Uwe Broulik 2011-04-04 10:31:18 UTC
And since there still is this bug in KSnapshot that prevents you from opening the first screenshot taken directly in an application, I would then just start ksnapshot and takt the screenshot from there :)

Nice to see kolourpaint grtting some love lately :) one of the few applications I regularily compile from trunk to get the lastest features